Package gbp :: Module config :: Class GbpOption

[hide private]
[frames] | no frames]

# Class GbpOption

    optparse.Option --+
                      |
                     GbpOption

Instance Methods | [hide private]

Inherited from `optparse.Option`: `__init__`, `__repr__`, `__str__`, `check_value`, `convert_value`, `get_opt_string`, `process`, `take_action`, `takes_value` Inherited from `optparse.Option` (private): `_check_action`, `_check_callback`, `_check_choice`, `_check_const`, `_check_dest`, `_check_nargs`, `_check_opt_strings`, `_check_type`, `_set_attrs`, `_set_opt_strings`

Class Variables | [hide private]

| TYPES = ``(``'``string``'``,` `'``int``'``,` `'``long``'``,` `'``float``'``,` `'``complex``'``,` `'``choice``'``...``
| TYPE_CHECKER = ``{``'``choice``'``:` <__builtin__.function object>`,` `'``comp``...``
Inherited from `optparse.Option`: `ACTIONS`, `ALWAYS_TYPED_ACTIONS`, `ATTRS`, `CHECK_METHODS`, `CONST_ACTIONS`, `STORE_ACTIONS`, `TYPED_ACTIONS`

Class Variable Details | [hide private]

### TYPES

Value:

      ('string',
       'int',
       'long',
       'float',
       'complex',
       'choice',
       'path',
       'tristate')

### TYPE_CHECKER

Value:

      {'choice': <__builtin__.function object>,
       'complex': <__builtin__.function object>,
       'float': <__builtin__.function object>,
       'int': <__builtin__.function object>,
       'long': <__builtin__.function object>,
       'path': <__builtin__.function object>,
       'tristate': <__builtin__.function object>}